// TransferFnBlockDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "TransferFnBlockDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTransferFnBlockDialog dialog


CTransferFnBlockDialog::CTransferFnBlockDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTransferFnBlockDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTransferFnBlockDialog)
	m_strNumerCoeffs = _T("");
	m_strDenomCoeffs = _T("");
	//}}AFX_DATA_INIT
}


void CTransferFnBlockDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTransferFnBlockDialog)
	DDX_Text(pDX, ID_TRANSFERFN_BLK_DLG_EB_NUMER, m_strNumerCoeffs);
	DDX_Text(pDX, ID_TRANSFERFN_BLK_DLG_EB_DENOM, m_strDenomCoeffs);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTransferFnBlockDialog, CDialog)
	//{{AFX_MSG_MAP(CTransferFnBlockDialog)
	ON_BN_CLICKED(ID_TRANSFERFN_BLK_DLG_BTN_OK, OnTransferFnBlkDlgBtnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTransferFnBlockDialog message handlers

void CTransferFnBlockDialog::OnTransferFnBlkDlgBtnOk() 
{
	// TODO: Add your control notification handler code here

	// DiagramEng (start)

	//AfxMessageBox("\n CTransferFnBlockDialog::OnTransferFnBlkDlgBtnOk()\n", MB_OK, 0);
	
	// Update variable values with the Dlg Wnd control values
	UpdateData(TRUE);

	// Close the dialog wnd with OnOK()
	OnOK();

	// DiagramEng (end)		
}

